## GstVaapiObject GstVaapiObject — Base VA object |

## Functions

GstVaapiDisplay * | gst_vaapi_object_get_display ()
void | gst_vaapi_object_lock_display ()
void | gst_vaapi_object_unlock_display ()
GstVaapiID | gst_vaapi_object_get_id ()

## Types and Values

| GstVaapiObject

## Description

## Functions

### gst_vaapi_object_get_display ()

    GstVaapiDisplay *
    gst_vaapi_object_get_display (GstVaapiObject *object);

Returns the GstVaapiDisplay this `object` is bound to.

#### Parameters

object | a GstVaapiObject |

#### Returns

the parent GstVaapiDisplay object

### gst_vaapi_object_lock_display ()

    void
    gst_vaapi_object_lock_display (GstVaapiObject *object);

Locks `object` parent display. If display is already locked by another thread, the current thread will block until display is unlocked by the other thread.

#### Parameters

object | a GstVaapiObject |

### gst_vaapi_object_unlock_display ()

    void
    gst_vaapi_object_unlock_display (GstVaapiObject *object);

Unlocks `object` parent display. If another thread is blocked in a `gst_vaapi_object_lock_display()` call, it will be woken and can lock display itself.

#### Parameters

object | a GstVaapiObject |

### gst_vaapi_object_get_id ()

    GstVaapiID
    gst_vaapi_object_get_id (GstVaapiObject *object);

Returns the GstVaapiID contained in the `object` .

#### Parameters

object | a GstVaapiObject |

#### Returns

the GstVaapiID of the `object`

## Types and Values

### GstVaapiObject

    typedef struct _GstVaapiObject GstVaapiObject;

VA object base.